# Uses of Class
com.google.protobuf.DescriptorProtos.OneofOptions

Packages that use DescriptorProtos.OneofOptions
Package
Description
com.google.protobuf
xg

## Uses of DescriptorProtos.OneofOptions in com.google.protobuf

Fields in com.google.protobuf with type parameters of type DescriptorProtos.OneofOptions
Modifier and Type
Field
Description
`static final Parser<DescriptorProtos.OneofOptions>`
DescriptorProtos.OneofOptions.`PARSER`
Deprecated.
Methods in com.google.protobuf that return DescriptorProtos.OneofOptions
Modifier and Type
Method
Description
`DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.Builder.`build()`
`DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.Builder.`buildPartial()`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`getDefaultInstance()`
`DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.Builder.`getDefaultInstanceForType()`
`DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`getDefaultInstanceForType()`
`DescriptorProtos.OneofOptions`
DescriptorProtos.OneofDescriptorProto.Builder.`getOptions()`
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`
`DescriptorProtos.OneofOptions`
DescriptorProtos.OneofDescriptorProto.`getOptions()`
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`
`DescriptorProtos.OneofOptions`
DescriptorProtos.OneofDescriptorProtoOrBuilder.`getOptions()`
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`
`DescriptorProtos.OneofOptions`
Descriptors.OneofDescriptor.`getOptions()`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(byte[] data)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(ByteString data)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(CodedInputStream input)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(InputStream input)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(ByteBuffer data)`
`static DescriptorProtos.OneofOptions`
DescriptorProtos.OneofOptions.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.OneofOptions
Modifier and Type
Method
Description
`Parser<DescriptorProtos.OneofOptions>`
DescriptorProtos.OneofOptions.`getParserForType()`
`static Parser<DescriptorProtos.OneofOptions>`
DescriptorProtos.OneofOptions.`parser()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.OneofOptions
Modifier and Type
Method
Description
`DescriptorProtos.OneofOptions.Builder`
DescriptorProtos.OneofOptions.Builder.`mergeFrom(DescriptorProtos.OneofOptions other)`
`DescriptorProtos.OneofDescriptorProto.Builder`
DescriptorProtos.OneofDescriptorProto.Builder.`mergeOptions(DescriptorProtos.OneofOptions value)`
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`
`static DescriptorProtos.OneofOptions.Builder`
DescriptorProtos.OneofOptions.`newBuilder(DescriptorProtos.OneofOptions prototype)`
`DescriptorProtos.OneofDescriptorProto.Builder`
DescriptorProtos.OneofDescriptorProto.Builder.`setOptions(DescriptorProtos.OneofOptions value)`
`optional .google.protobuf.OneofOptions options = 2 [json_name = "options"];`

## Uses of DescriptorProtos.OneofOptions in xg

Fields in xg with type parameters of type DescriptorProtos.OneofOptions
Modifier and Type
Field
Description
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.OneofOptions,Validator.OneofValidatorOptions>`
Validator.`oneofValidator`
`extend .google.protobuf.OneofOptions { ...`